package com.jiuqi.sql;

import java.io.InputStream;
import java.util.Date;

public interface InputRecordBuffer {
   boolean readRecord(InputStream var1) throws DBException;

   boolean isDeleted();

   boolean readBoolean(FieldInfo var1) throws DBException;

   double readDouble(FieldInfo var1) throws DBException;

   int readInt(FieldInfo var1) throws DBException;

   String readString(FieldInfo var1) throws DBException;

   long readLong(FieldInfo var1) throws DBException;

   Date readDate(FieldInfo var1) throws DBException;

   boolean wasNull() throws DBException;
}
